## r-cran-corpcor 1.6.8

=== DESCRIPTION ===
Package: corpcor
Version: 1.6.8
Date: 2015-07-08
Title: Efficient Estimation of Covariance and (Partial) Correlation
Author: Juliane Sch\"afer, Rainer Opgen-Rhein, Verena Zuber, Miika Ahdesm\"aki, 
 A. Pedro Duarte Silva, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmerlab@gmail.com>
Depends: R (>= 3.0.2)
Imports: stats
Suggests:
Description: Implements a James-Stein-type shrinkage estimator for 
  the covariance matrix, with separate shrinkage for variances and correlations.  
  The details of the method are explained in Sch\"afer and Strimmer (2005) and 
  Opgen-Rhein and Strimmer (2007).  The approach is both computationally as well
  as statistically very efficient, it is applicable to "small n, large p" data, 
  and always returns a positive definite and well-conditioned covariance matrix.  
  In addition to inferring the covariance matrix the package also provides 
  shrinkage estimators for partial correlations and partial variances.  
  The inverse of the covariance and correlation matrix 
  can be efficiently computed, as well as any arbitrary power of the 
  shrinkage correlation matrix.  Furthermore, functions are available for fast 
  singular value decomposition, for computing the pseudoinverse, and for 
  checking the rank and positive definiteness of a matrix.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/corpcor/
Packaged: 2015-07-08 09:00:02 UTC; strimmer
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-07-08 13:21:51

=== debian/changelog ===
r-cran-corpcor (1.6.8-3) unstable; urgency=medium

  * debian/copyright: fix: upstream didn't ship under GPL-2, but under GPL-3+.
    Update my own license accordingly.  Thanks Thorsten Alteholz <ftpmaster>
    for spotting and reporting this bug.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 22 Jul 2016 08:53:08 +0200

r-cran-corpcor (1.6.8-2) unstable; urgency=medium

  * Initial Debian release. Closes: #831883
  * debian/control: fix VCS fields.
  * debian/contol: update standards.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 20 Jul 2016 15:40:27 +0200

r-cran-corpcor (1.6.8-1) unstable; urgency=low

  * Private release, for Tilburg University.

 -- Joost van Baal-Ilić <joostvb+debian@uvt.nl>  Wed, 20 Jul 2016 13:55:10 +0200

=== debian/control ===
Source: r-cran-corpcor
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Build-Depends: debhelper (>= 9), r-base-dev, cdbs, dpkg-dev (>= 1.16.1~),
Standards-Version: 3.9.8
Homepage: https://cran.r-project.org/web/packages/corpcor
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-corpcor.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-corpcor.git

Package: r-cran-corpcor
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}
Description: GNU R for Estimation of Covariance and Correlation -- corpcor
 GNU R package which implements a James-Stein-type shrinkage estimator for the
 covariance matrix, with separate shrinkage for variances and correlations.  The
 approach is both computationally as well as statistically very efficient, it is
 applicable to "small n, large p" data, and always returns a positive definite
 and well-conditioned covariance matrix.  In addition to inferring the
 covariance matrix the package also provides shrinkage estimators for partial
 correlations and partial variances.  The inverse of the covariance and
 correlation matrix can be efficiently computed, as well as any arbitrary power
 of the shrinkage correlation matrix.  Furthermore, functions are available for
 fast singular value decomposition, for computing the pseudoinverse, and for
 checking the rank and positive definiteness of a matrix.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/buildflags.mk
include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
version=3
opts="uversionmangle=s/-/\./" \
	    http://cran.r-project.org/src/contrib/corpcor_([-\d\.]*)\.tar.gz

## r-cran-corpcor 1.6.9

=== DESCRIPTION ===
Package: corpcor
Version: 1.6.9
Date: 2017-03-31
Title: Efficient Estimation of Covariance and (Partial) Correlation
Author: Juliane Schafer, Rainer Opgen-Rhein, Verena Zuber, Miika Ahdesmaki, 
 A. Pedro Duarte Silva, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmerlab@gmail.com>
Depends: R (>= 3.0.2)
Imports: stats
Suggests:
Description: Implements a James-Stein-type shrinkage estimator for 
  the covariance matrix, with separate shrinkage for variances and correlations.  
  The details of the method are explained in Schafer and Strimmer (2005) 
  <DOI:10.2202/1544-6115.1175> and Opgen-Rhein and Strimmer (2007) 
  <DOI:10.2202/1544-6115.1252>.  The approach is both computationally as well
  as statistically very efficient, it is applicable to "small n, large p" data, 
  and always returns a positive definite and well-conditioned covariance matrix.  
  In addition to inferring the covariance matrix the package also provides 
  shrinkage estimators for partial correlations and partial variances.  
  The inverse of the covariance and correlation matrix 
  can be efficiently computed, as well as any arbitrary power of the 
  shrinkage correlation matrix.  Furthermore, functions are available for fast 
  singular value decomposition, for computing the pseudoinverse, and for 
  checking the rank and positive definiteness of a matrix.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/corpcor/
Packaged: 2017-03-31 17:06:45 UTC; strimmer
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2017-04-01 06:30:37 UTC

=== debian/changelog ===
r-cran-corpcor (1.6.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.9.
  * d/watch: do not mangle upstream version number, bump to format v4.
  * d/copyright: reflect upstream changes, use secure URL for Format field.
  * Convert to dh-r instead of cdbs.
  * Bump to debhelper compat level 10.
  * Add Testsuite: autopkgtest-pkg-r.
  * Bump to Standards-Version 4.1.0.
  * Use canonical CRAN homepage.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 28 Sep 2017 12:20:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: r-cran-corpcor
-Section: gnu-r
-Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
-Build-Depends: debhelper (>= 9), r-base-dev, cdbs, dpkg-dev (>= 1.16.1~),
-Standards-Version: 3.9.8
-Homepage: https://cran.r-project.org/web/packages/corpcor
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper (>= 10),
+               dh-r
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-corpcor.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-corpcor.git
+Homepage: https://cran.r-project.org/package=corpcor
 
 Package: r-cran-corpcor
 Architecture: all
-Depends: ${R:Depends}, ${misc:Depends}
+Depends: ${R:Depends},
+         ${misc:Depends}
 Description: GNU R for Estimation of Covariance and Correlation -- corpcor
  GNU R package which implements a James-Stein-type shrinkage estimator for the
  covariance matrix, with separate shrinkage for variances and correlations.  The

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/corpcor_([-\d\.]*)\.tar.gz

## r-cran-corpcor 1.6.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: corpcor
-Version: 1.6.9
-Date: 2017-03-31
+Version: 1.6.10
+Date: 2021-09-16
 Title: Efficient Estimation of Covariance and (Partial) Correlation
 Author: Juliane Schafer, Rainer Opgen-Rhein, Verena Zuber, Miika Ahdesmaki, 
  A. Pedro Duarte Silva, and Korbinian Strimmer.
@@ -23,8 +23,8 @@
   singular value decomposition, for computing the pseudoinverse, and for 
   checking the rank and positive definiteness of a matrix.
 License: GPL (>= 3)
-URL: http://strimmerlab.org/software/corpcor/
-Packaged: 2017-03-31 17:06:45 UTC; strimmer
+URL: https://strimmerlab.github.io/software/corpcor/
 NeedsCompilation: no
+Packaged: 2021-09-16 14:05:52 UTC; strimmer
 Repository: CRAN
-Date/Publication: 2017-04-01 06:30:37 UTC
+Date/Publication: 2021-09-16 15:30:08 UTC

=== debian/changelog ===
r-cran-corpcor (1.6.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 21:03:43 +0200

r-cran-corpcor (1.6.9-4) unstable; urgency=medium

  * Team upload.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 16:50:46 +0200

r-cran-corpcor (1.6.9-3) UNRELEASED; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 16:50:37 +0200

r-cran-corpcor (1.6.9-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 11:16:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,24 @@
 Source: r-cran-corpcor
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               dh-r
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-corpcor.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-corpcor.git
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-corpcor
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-corpcor.git
 Homepage: https://cran.r-project.org/package=corpcor
+Rules-Requires-Root: no
 
 Package: r-cran-corpcor
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R for Estimation of Covariance and Correlation -- corpcor
  GNU R package which implements a James-Stein-type shrinkage estimator for the
  covariance matrix, with separate shrinkage for variances and correlations.  The

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/corpcor_([-\d\.]*)\.tar.gz
